libgimpprint API Reference: stpi_softweave struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# stpi_softweave Struct Reference

## Data Fields
stp_linebufs_t * | linebases
stp_lineoff_t * | lineoffsets
stp_lineactive_t * | lineactive
stp_linecount_t * | linecounts
stp_linebounds_t * | linebounds
stp_pass_t * | passes
int | last_pass_offset
int | last_pass
int | jets
int | virtual_jets
int | separation
void * | weaveparm
int | horizontal_weave
int | vertical_subpasses
int | vmod
int | oversample
int | repeat_count
int | ncolors
int | linewidth
int | vertical_height
int | firstline
int | bitwidth
int | lineno
int | vertical_oversample
int | current_vertical_subpass
int | horizontal_width
int * | head_offset
unsigned char * | s [STP_MAX_WEAVE]
unsigned char * | fold_buf
unsigned char * | comp_buf
stp_weave_t | wcache
int | rcache
int | vcache
stp_flushfunc * | flushfunc
stp_fillfunc * | fillfunc
stp_packfunc * | pack
stp_compute_linewidth_func * | compute_linewidth

## Field Documentation

int stpi_softweave::bitwidth

| Definition at line 107 of file print-weave.c. Referenced by add_to_row(), check_linebases(), stp_fill_tiff(), stp_fill_uncompressed(), stp_initialize_weave(), and stp_write_weave().

unsigned char* stpi_softweave::comp_buf

| Definition at line 115 of file print-weave.c. Referenced by stp_write_weave(), and stpi_destroy_weave().

stp_compute_linewidth_func* stpi_softweave::compute_linewidth

| Definition at line 122 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

int stpi_softweave::current_vertical_subpass

| Definition at line 110 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

stp_fillfunc* stpi_softweave::fillfunc

| Definition at line 120 of file print-weave.c. Referenced by initialize_row(), and stp_initialize_weave().

int stpi_softweave::firstline

| Definition at line 105 of file print-weave.c. Referenced by stp_initialize_weave().

stp_flushfunc* stpi_softweave::flushfunc

| Definition at line 119 of file print-weave.c. Referenced by stp_initialize_weave(), and stpi_flush_passes().

unsigned char* stpi_softweave::fold_buf

| Definition at line 114 of file print-weave.c. Referenced by stp_write_weave(), and stpi_destroy_weave().

int* stpi_softweave::head_offset

| Definition at line 112 of file print-weave.c. Referenced by add_to_row(), finalize_row(), initialize_row(), stp_fill_tiff(), stp_fill_uncompressed(), stp_initialize_weave(), stp_write_weave(), and stpi_destroy_weave().

int stpi_softweave::horizontal_weave

| Definition at line 94 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

int stpi_softweave::horizontal_width

| Definition at line 111 of file print-weave.c. Referenced by add_to_row(), check_linebases(), and stp_initialize_weave().

int stpi_softweave::jets

| Definition at line 88 of file print-weave.c. Referenced by stp_initialize_weave().

int stpi_softweave::last_pass

| Definition at line 86 of file print-weave.c. Referenced by stp_initialize_weave(), and stpi_flush_passes().

int stpi_softweave::last_pass_offset

| Definition at line 82 of file print-weave.c. Referenced by stp_initialize_weave().

stp_lineactive_t* stpi_softweave::lineactive

| Definition at line 78 of file print-weave.c. Referenced by stp_get_lineactive_by_pass(), stp_initialize_weave(), stpi_destroy_weave(), and stpi_get_lineactive().

stp_linebufs_t* stpi_softweave::linebases

| Definition at line 76 of file print-weave.c. Referenced by stp_get_linebases_by_pass(), stp_initialize_weave(), stpi_destroy_weave(), and stpi_get_linebases().

stp_linebounds_t* stpi_softweave::linebounds

| Definition at line 80 of file print-weave.c. Referenced by stp_initialize_weave(), stpi_destroy_weave(), and stpi_get_linebounds().

stp_linecount_t* stpi_softweave::linecounts

| Definition at line 79 of file print-weave.c. Referenced by stp_get_linecount_by_pass(), stp_initialize_weave(), stpi_destroy_weave(), and stpi_get_linecount().

int stpi_softweave::lineno

| Definition at line 108 of file print-weave.c. Referenced by add_to_row(), finalize_row(), stp_initialize_weave(), stp_write_weave(), and stpi_flush_passes().

stp_lineoff_t* stpi_softweave::lineoffsets

| Definition at line 77 of file print-weave.c. Referenced by stp_get_lineoffsets_by_pass(), stp_initialize_weave(), stpi_destroy_weave(), and stpi_get_lineoffsets().

int stpi_softweave::linewidth

| Definition at line 103 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

int stpi_softweave::ncolors

| Definition at line 102 of file print-weave.c. Referenced by finalize_row(), initialize_row(), stp_initialize_weave(), stp_write_weave(), and stpi_destroy_weave().

int stpi_softweave::oversample

| Definition at line 100 of file print-weave.c. Referenced by finalize_row(), initialize_row(), and stp_initialize_weave().

stp_packfunc* stpi_softweave::pack

| Definition at line 121 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

stp_pass_t* stpi_softweave::passes

| Definition at line 81 of file print-weave.c. Referenced by stp_get_pass_by_pass(), stp_initialize_weave(), stpi_destroy_weave(), and stpi_get_pass_by_row().

int stpi_softweave::rcache

| Definition at line 117 of file print-weave.c. Referenced by stp_initialize_weave(), and weave_parameters_by_row().

int stpi_softweave::repeat_count

| Definition at line 101 of file print-weave.c. Referenced by stp_initialize_weave(), and weave_parameters_by_row().

unsigned char* stpi_softweave::s[STP_MAX_WEAVE]

| Definition at line 113 of file print-weave.c. Referenced by stp_write_weave(), and stpi_destroy_weave().

int stpi_softweave::separation

| Definition at line 91 of file print-weave.c. Referenced by stp_initialize_weave(), and weave_parameters_by_row().

int stpi_softweave::vcache

| Definition at line 118 of file print-weave.c. Referenced by stp_initialize_weave(), and weave_parameters_by_row().

int stpi_softweave::vertical_height

| Definition at line 104 of file print-weave.c. Referenced by stp_initialize_weave().

int stpi_softweave::vertical_oversample

| Definition at line 109 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

int stpi_softweave::vertical_subpasses

| Definition at line 97 of file print-weave.c. Referenced by stp_initialize_weave(), and stp_write_weave().

int stpi_softweave::virtual_jets

| Definition at line 89 of file print-weave.c. Referenced by add_to_row(), check_linebases(), and stp_initialize_weave().

int stpi_softweave::vmod

| Definition at line 99 of file print-weave.c. Referenced by stp_get_lineactive_by_pass(), stp_get_linebases_by_pass(), stp_get_linecount_by_pass(), stp_get_lineoffsets_by_pass(), stp_get_pass_by_pass(), stp_initialize_weave(), stpi_destroy_weave(), stpi_get_lineactive(), stpi_get_linebases(), stpi_get_linebounds(), stpi_get_linecount(), stpi_get_lineoffsets(), and stpi_get_pass_by_row().

stp_weave_t stpi_softweave::wcache

| Definition at line 116 of file print-weave.c. Referenced by weave_parameters_by_row().

void* stpi_softweave::weaveparm

| Definition at line 92 of file print-weave.c. Referenced by stp_initialize_weave(), stpi_destroy_weave(), and weave_parameters_by_row().

The documentation for this struct was generated from the following file:

- src/main/print-weave.c